Index: branches/releng-9/nanobsd/files/usr/local/etc/wlportal/login.tmpl
===================================================================
--- branches/releng-9/nanobsd/files/usr/local/etc/wlportal/login.tmpl	(revision 13573)
+++ branches/releng-9/nanobsd/files/usr/local/etc/wlportal/login.tmpl	(revision 14062)
@@ -1,93 +1,75 @@
-<html>
-  <!-- This is an devel/py-Jinja2 template -->
+<!DOCTYPE html>
+<html lang="en">
   <head>
-    <title>Welkom bij Wireless Leiden captive portal</title>
+    <meta charset="utf-8">
+    <meta http-equiv="X-UA-Compatible" content="IE=edge">
+    <meta name="viewport" content="width=device-width, initial-scale=1">
+
+    <title>Wireless Leiden - Captive Portal</title>
+
+    <!-- Bootstrap core CSS -->
+    <link href="css/bootstrap.min.css" rel="stylesheet">
+
+    <!-- Custom styles for this template -->
+    <link href="css/jumbotron-narrow.css" rel="stylesheet">
+
+    <style type='text/css'>
+      li {
+        padding: 10px 0px;
+      }
+    </style>
   </head>
-  <style type='text/css'>
-.status {
-  background-color: lightgrey;
-  text-align: center;
-}
-.warning {
-  background-color: orange;
-  text-align: center;
-}
-  </style>
+  
   <body>
-<table width="100%"><tr>
-  <td>
-    <div class="status"><h2>{{ status_msg }}</h2></div>
-    <div class="warning">{{ warning_msg }}</div>
-  </td>
-  <td width="50px"><img src="/static/wl-logo.png"></td>
-</tr></table>
-<hr />
-   <small><i><a href="#english">For English see bottom of this page</a></i></small>
-   <h3>Eerlijk gebruikmaken van Wireless Leiden</h3>
-   <pre>
-   A) Het gebruik van het Wireless Leiden netwerk en de internettoegang zijn
-      kostenloos en u hoeft zich niet aan te melden. 
-   B) U dient zich te houden aan de Nederlandse wetgeving en geen schade toe te
-      brengen of ongemak te veroorzaken voor anderen.
-   C) De Stichting Wireless Leiden accepteert geen enkele aansprakelijkheid
-      voor schade in welke vorm dan ook die is ontstaan door of verband houdt
-      met het gebruik van het netwerk.
-   </pre>
+    <div class="container">
+      <div class="container-fluid">
+       <div class="navbar">
+         <div class="navbar-header pull-left">
+           <img src="/static/wl-logo.png" style="float:left; padding: 5px;" width="80" height="50" title="Stichting Wireless Leiden">
+                 <span class="navbar-brand hidden-xs">Stichting Wireless Leiden</span>
+         </div>
+         <div class="navbar-header pull-right">
+      </div>
+   </div>
 
-   <h3>Internet Toegang</h3> 
-   <p>Internetten op het Wireless Leiden netwerk kan op twee manieren:<br />
-   <small>N.B. U kunt alleen internetten via uw webbrowser, andere toepassingen zoals Microsoft Outlook zijn niet mogelijk. Gebruik webmail om te e-mailen.</small>
-   <ol>
-   <li>In uw browser een 'proxy' instellen. (in het algemeen sneller internet).</li>
-   <li>Gebruik maken van de iLeiden service (gemakkelijk voor mobiele apparaten).</li>
-   </ol>
+   <div class="jumbotron">
+     {{ status_msg }}
+   </div>
 
- <form action="http://{{ portalroot }}/wlportal/" method="POST">
-<input name="action" type="hidden" value="login" />
-<input type="submit" value="I wil gebruik maken van iLeiden" style="color:#000000; background: green; font-weight: bold"/>
-</form>
+   <div class="row marketing">
+     <div class="col-xs-6">
+       <h4>Gratis</h4>
+       <p>Gemaakt en beheerd door vrijwilligers</p>
 
-    <h4>Instellen proxy in browser</h4>
-    In Firefox: ga naar <em>Edit->Preferences-&gt;Advanced-&gt;Network-&gt;Settings.</em><br />
-    Handmatige proxy-configuratie: vul in HTTP proxy: proxy.wleiden.net port 3128.<br>
-    <p>
-    <small>N.B. Haal na gebruik de instellingen weer weg</small>
-<h4>Contact</h4>
-Vragen en opmerkingen kunt u kwijt op onze <a href="http://lijst.wirelessleiden.nl/mailman/listinfo/gebruikers">gebruikers mailing lijst</a>.
-<hr>
-<a name="english"></a>
-    <h1>Welcome to Wireless Leiden</h1>
-   <h3>Internet access</h3> 
-   <p>You are connected to the local Wireless Leiden network. To use one of the gateways (proxies) to Internet you have to specify a proxy in your web browser OR click on the button bellow.<br>
-    To set the proxy for instance in Firefox go to Edit->Preferences->Advanced->Network->Settings.<br>
-    Manual proxy configuration: specify HTTP proxy: proxy.wleiden.net port 3128.<br>
-    Detailed instructions can be downloaded from our <a href="http://www.wirelessleiden.nl">website</a>.
-    </p>
-    <p>
-    Please note that you can only access the internet via your webbrowser, use of other applications like Microsoft Outlook is not possible (you have to use webmail).
+       <h4>Gemeenschap</h4>
+       <p>Mede mogelijk gemaakt door vele sponsoren</p>
 
-    <h3>Fair Use of Wireless Leiden</h3>
-    The use of the Wireless Leiden network and the internet connection are free and no registration is required. However, you should refrain from any illegal activity and not provide harm of any kind or inconvenience to other users.<br>
-    The Wireless Leiden Foundation does not accept any responsibility whatsoever for damage related to or originated from the use of the network. 
+       <h4>Innovatie</h4>
+       <p>Al onze innovatie is vrij te gebruiken door andere (vrijwilligers) organisaties</p>
+     </div>
 
-<form action="http://{{ portalroot }}/wlportal/" method="POST">
-<input name="action" type="hidden" value="login" />
-<input type="submit" value="OK, agreed" style="color:#000000; background: green; font-weight: bold" />
-</form>
+     <div class="col-xs-6">
+       <h4>Betrokken</h4>
+       <p>Een open netwerk toegankelijk voor iedereen</p>
 
-<hr>
-   <br>
-<em>
-   <a href="http://www.wirelessleiden.nl">Wireless Leiden Homepage</a>
-   <br />
-   </em>
-<h3>More options</h3>
-<form action="http://{{ portalroot }}/wlportal/" method="POST">
-<input name="action" type="hidden" value="logout" />
-<input type="submit" value="Cancel and/or Logout" style="color:#000000; background: red; font-weight: bold"/>
-</form>
-<hr /><em>Technical Details:</em><pre>
-{{ tech_footer }}
-</pre>
+       <h4>Diensten</h4>
+       <p>Spin-offs van diverse technologie bedrijven</p>
+
+       <h4>Open</h4>
+       <p>Geen restricties, limieten of andere verborgen blokkades</p>
+     </div>
+   </div>
+
+   <div class="footer">
+     <p>Stichting Wireless Leiden</p>
+   </div>
+
+    <!-- Bootstrap core JavaScript
+    ================================================== -->
+    <!-- Placed at the end of the document so the pages load faster -->
+    <script src="js/jquery.min.js"</script>
+    <script src="js/ie10-viewport-bug-workaround.js"></script>
+    <script src="js/bootstrap.min.js"></script>
   </body>
 </html>
+
Index: branches/releng-9/nanobsd/files/usr/local/www/wlportal/js/ie10-viewport-bug-workaround.js
===================================================================
--- branches/releng-9/nanobsd/files/usr/local/www/wlportal/js/ie10-viewport-bug-workaround.js	(revision 14062)
+++ branches/releng-9/nanobsd/files/usr/local/www/wlportal/js/ie10-viewport-bug-workaround.js	(revision 14062)
@@ -0,0 +1,23 @@
+/*!
+ * IE10 viewport hack for Surface/desktop Windows 8 bug
+ * Copyright 2014-2015 Twitter, Inc.
+ * Licensed under MIT (https://github.com/twbs/bootstrap/blob/master/LICENSE)
+ */
+
+// See the Getting Started docs for more information:
+// http://getbootstrap.com/getting-started/#support-ie10-width
+
+(function () {
+  'use strict';
+
+  if (navigator.userAgent.match(/IEMobile\/10\.0/)) {
+    var msViewportStyle = document.createElement('style')
+    msViewportStyle.appendChild(
+      document.createTextNode(
+        '@-ms-viewport{width:auto!important}'
+      )
+    )
+    document.querySelector('head').appendChild(msViewportStyle)
+  }
+
+})();
